local metadata = {
"## Interface: 2.1.0.2 RC3",
"## Title: PlacableArea2",
"## Notes: Gras entfernung fr PlaceableUPK",
"## Author: Marhu",
"## Version: 0.3.2b",
"## Date: 08.12.2014",
}

if PlaceableUPK.load then
	local org_PlaceableUPK_load = PlaceableUPK.load
	PlaceableUPK.load = function(...)
		r = org_PlaceableUPK_load(...)
		if r then
			local s = select(1,...)
			local moveMode = select(9,...)
			if not moveMode and s.nodeId ~= nil then
				local GrasArea = getChild(s.nodeId,"GrasArea")
				if GrasArea then
					local Area = {}
					Area.start  = GrasArea;
					Area.width	= getChildAt(GrasArea,0);
					Area.height = getChildAt(GrasArea,1);
					local x,_,z = getWorldTranslation(Area.start);
					local x1,_,z1 = getWorldTranslation(Area.width);
					local x2,_,z2 = getWorldTranslation(Area.height);
					Utils.updateDestroyCommonArea(x, z, x1, z1, x2, z2);
				end
			end
		end
		return r
	end
end

